Bug 149747 - FILESAVE DOCX Style names incorrectly saved when using an other UI than English UI
Summary: FILESAVE DOCX Style names incorrectly saved when using an other UI than Engli...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.0.3 release
Hardware: All All
: medium normal
Assignee: Tünde Tóth
URL:
Whiteboard: target:7.5.0 target:7.4.0.2
Keywords:
Depends on:
Blocks: 126243
  Show dependency treegraph
 
Reported: 2022-06-27 12:17 UTC by NISZ LibreOffice Team
Modified: 2022-07-11 08:28 UTC (History)
0 users

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file (20.02 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2022-06-27 12:20 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2022-06-27 12:17:16 UTC
Description:
While checking some older bugs we noticed that the style names are saved in an interoperable way when the locale is English, but not when it is Hungarian.

Steps to Reproduce:
1. Open and save attachments with English UI
2. Do the same in Hungarian (perhaps others are affected too) UI
3. Check the results in Word

Actual Results:
Saved attachments work correctly in Word when they were saved in English UI, but not with Hungarian UI:
With attachment  #152577 [details] the tracked style change is retained and the second paragraph gets back its Heading 2 style when all the changes are rejected. But not with localized UI.

Expected Results:
Style names are interoperable with localized Uis too.


Reproducible: Always


User Profile Reset: No



Additional Info:
LibreOffice details:
Verzió: 6.4.0.3 (x86)
Build az.: b0a288ab3d2d4774cb44b62f04d5d28733ac6df8
CPU szálak: 4; OS: Windows 6.3 Build 9600; Felületmegjelenítés: alapértelmezett; VCL: win; 
Területi beállítások: hu-HU (hu_HU); Felület nyelve: hu-HU
Calc: CL
Comment 1 NISZ LibreOffice Team 2022-06-27 12:20:48 UTC
Created attachment 180982 [details]
Example file
Comment 2 Tünde Tóth 2022-06-27 13:01:14 UTC
I confirm it with: (Hungarian UI)

Version: 7.5.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 8e8e0aefc998adba749a93cacc4660d859fba675
CPU threads: 8; OS: Windows 10.0 Build 19044; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL
Comment 3 Commit Notification 2022-07-08 08:16:14 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/93c83aa91cc7608bfdb6972ad024697f1bc85f98

tdf#149747 DOCX import: use UI style name for tracked changes

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2022-07-08 10:08:24 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/2b53b81a660899312d94479ad37d522b9f029c30

tdf#149747 DOCX import: use UI style name for tracked changes

It will be available in 7.4.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 NISZ LibreOffice Team 2022-07-11 08:28:20 UTC
Verified in:
Version: 7.5.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: a93d7e7df6804cd6f1f2fa1ef0e6e95ce6c3752a
CPU threads: 8; OS: Windows 10.0 Build 19042; UI render: Skia/Vulkan; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL